Update Project
curl --request PUT \
--url https://api.galileo.ai/v2/projects/{project_id} \
--header 'Content-Type: application/json' \
--header 'Galileo-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"labels": [
"<string>"
],
"description": "<string>"
}
'import requests
url = "https://api.galileo.ai/v2/projects/{project_id}"
payload = {
"name": "<string>",
"labels": ["<string>"],
"description": "<string>"
}
headers = {
"Galileo-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Galileo-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', labels: ['<string>'], description: '<string>'})
};
fetch('https://api.galileo.ai/v2/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"created_by": "<string>",
"labels": [
"sample"
],
"description": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}projects
Update Project
PUT
/
v2
/
projects
/
{project_id}
Update Project
Authorizations
ClassicAPIKeyHeaderAPIKeyHeaderOAuth2PasswordBearerHTTPBasic
Path Parameters
Response
Successful Response
Available options:
prompt_evaluation, llm_monitor, protect, gen_ai Enum for project labels used in the UI.
Available options:
sample Was this page helpful?
⌘I